<div class="analizeContainer box-shadow">
    <dx-scroll-view style='width: 100%; height: calc(100% - 11px)'>
            <app-dashboard-boxes></app-dashboard-boxes>
            <div class='flex-row'>
                <div class='filter-form'>
                    <dx-form [colCount]="3" [formData]='analyze.filter' (onFieldDataChanged)='analyze.onFilterChanged($event)'>
                        <dxi-item [label]="{text: 'Grup'}" dataField="bu" editorType="dxSelectBox" [editorOptions]="{ onValueChanged: analyze.onBuChanged, dataSource: analyze.dsBu, valueExpr: 'id', displayExpr: 'name', searchEnabled: true, showClearButton: true}">
                        </dxi-item>
                        <dxi-item [label]="{text: 'Entitate'}" dataField="entity" editorType="dxSelectBox"
                            [editorOptions]="{ onValueChanged: analyze.onEntityChanged, dataSource: analyze.dsEntities, valueExpr: 'id', displayExpr: 'name', searchEnabled: true, showClearButton: true, disabled: !analyze.filter.bu}">
                        </dxi-item>
                        <dxi-item [visible]='!analyze.visibleSupplier' [label]="{text: 'Punct de lucru'}" dataField="workCenter"
                            editorType="dxSelectBox" [editorOptions]="{ onValueChanged: analyze.onWcChanged, dataSource: analyze.dsPartyWc, valueExpr: 'id', displayExpr: 'name', searchEnabled: true, showClearButton: true, disabled: !analyze.filter.entity}">
                        </dxi-item>
                        <dxi-item [visible]='analyze.visibleSupplier' [label]="{text: 'Furnizor'}" dataField="supplier"
                            editorType="dxSelectBox" [editorOptions]="{ onValueChanged: analyze.onSupplierChanged, dataSource: analyze.dsContractors, valueExpr: 'id', displayExpr: 'name', searchEnabled: true, showClearButton: true}">
                        </dxi-item>
                        <dxi-item [visible]='analyze.visibleWaste' [label]="{text: 'Deșeu'}" dataField="wasteType"
                            editorType="dxSelectBox" [editorOptions]="{ dataSource: analyze.dsWasteType, valueExpr: 'id', displayExpr: 'code', searchEnabled: true, showClearButton: true, onSelectionChanged: analyze.onWasteTypeChanged}">
                        </dxi-item>
                        <dxi-item [label]="{text: 'De la data'}" dataField="fromDate" editorType="dxDateBox"
                            [editorOptions]="{ onValueChanged: analyze.onDateChanged, format: 'dd.MM.yyyy', width: 'auto'}">
                        </dxi-item>
                        <dxi-item [label]="{text: 'Până la data'}" dataField="thruDate" editorType="dxDateBox"
                            [editorOptions]="{ onValueChanged: analyze.onDateChanged, format: 'dd.MM.yyyy', width: 'auto'}">
                        </dxi-item>
                    </dx-form>
                </div>
            </div>
            <router-outlet></router-outlet>
    </dx-scroll-view>
</div>